Package Details: depot-tools-git r7308.7f3861357-1

Git Clone URL: https://aur.archlinux.org/depot-tools-git.git (read-only, click to copy)
Package Base: depot-tools-git
Description: Tools for working with Chromium development
Upstream URL: https://chromium.googlesource.com/chromium/tools/depot_tools
Keywords: chromium google
Licenses: custom
Submitter: aperez
Maintainer: relrel
Last Packager: relrel
Votes: 84
Popularity: 0.94
First Submitted: 2014-07-07 14:25
Last Updated: 2020-09-25 11:21

Dependencies (2)

Sources (1)

Latest Comments

1 2 3 4 5 6 Next › Last »

hexchain commented on 2020-08-17 20:59

Also it seems that many of the fixes/hacks are not needed:

  • cit, clang-format, clang_format_merge_driver, compile_single_file, download_from_google_storage, gn can all be run with python3
  • fetch, gclient and roll-dep even depend on python3 (through vpython3) now
  • git-runhooks calls gclient so it runs with python3
  • luci-auth does not exec python anymore
  • gclient.py does not import colorama anymore, instead there is a setup_color.py

hexchain commented on 2020-08-17 20:15

Is it possible to make vpython3 use system python3 too?

dbrgn commented on 2020-04-30 10:31

Doesn't seem to fully work when fetching WebRTC sources...

$ fetch --nohooks webrtc
mktemp: failed to create file via template ‘/opt/depot_tools/.cipd_client.XXXXXXX’: Permission denied
curl: (23) Failed writing body (0 != 1387)
/opt/depot_tools/bootstrap_python3: line 32: bootstrap-3.8.0.chromium.8_bin/python3/bin/python3: No such file or directory
cat: /opt/depot_tools/python3_bin_reldir.txt: No such file or directory
/opt/depot_tools/vpython3: line 52: /opt/depot_tools/.cipd_bin/vpython3: No such file or directory

The /opt/depot_tools/ directory is owned by root. Maybe certain directories need updated permissions through PKGBUILD?

istobic commented on 2020-04-12 07:11

patch is needed as a dependency

Maybe a little off-topic but I had problems git. It failed with:

Cloning into bare repository '/home/istobic/.cache/yay/depot-tools-git/depot-tools-git'...

error: RPC failed; HTTP 408 curl 22 The requested URL returned error: 408
fatal: the remote end hung up unexpectedly

I found a workaround in this thread: https://bbs.archlinux.org/viewtopic.php?id=245633

pizzaman commented on 2019-12-24 01:24

@jose1711 Thanks. Updated.

jose1711 commented on 2019-12-23 11:22

needs update - roll-dep-svn is no longer present

pizzaman commented on 2019-11-29 07:10

Should be working now.

encounter commented on 2019-11-15 06:47

The ninja wrapper is broken, it should pass through parameters instead of discarding them.

zach commented on 2019-11-04 16:50

Seems to be broken:

==> Starting prepare()...
sed: can't read depot-tools-auth: No such file or directory
==> ERROR: A failure occurred in prepare().
    Aborting...
Error making: depot-tools-git

rouhannb commented on 2019-10-27 05:19

Looks like depot-tools-auth was removed a while back (https://chromium.googlesource.com/chromium/tools/depot_tools.git/+/b4a587df5e348bddb26ea1bb6a5013f1e854b3a8), so the package is broken now.